Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003087 [JEDI VCL] 00 JVCL Components crash always 2005-07-11 04:59 2006-03-31 06:36
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003087: JvCabFile leads to exception on windows 98.
Description JvCabFile leads to exception on windows 98. using Delphi 6. Seems like incompatible with SetupAPI.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007569)
outchy (administrator)
2005-07-19 13:00

May you describe when the exception is triggered (cab-file used, operation being done) ?
(0007607)
anonymous (viewer)
2005-07-24 22:44

The exception is triggered while the application is loading. I have done some tracing and think this bug is exists in JVCL's SETUPAPI.PAS. Maybe it loads some api which doesn't exists in Windows 98. So I extract the type definition and function declaration need by JvCABFile
from SETUPAPI.PAS and put into JvCABFile. The exception disappeared.
(0007614)
outchy (administrator)
2005-07-25 09:18

You may coment the line 45 :
{$DEFINE SETUPAPI_LINKONREQUEST}
and recompile the jvcl if you didn't check "JVCL developer installation" during the first installation.

Now the compiler will only link used functions of setupapi.dll.
(0008797)
obones (administrator)
2006-03-31 06:36

Proposed workaround is ok to me. Considering this as fixed.

- Issue History
Date Modified Username Field Change
2005-07-11 04:59 anonymous New Issue
2005-07-19 13:00 outchy Note Added: 0007569
2005-07-24 22:44 anonymous Note Added: 0007607
2005-07-25 09:18 outchy Note Added: 0007614
2006-03-31 06:36 obones Status new => resolved
2006-03-31 06:36 obones Resolution open => fixed
2006-03-31 06:36 obones Assigned To => obones
2006-03-31 06:36 obones Note Added: 0008797


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker